package com.mx.dla.dda.contrato.condicionesTransaccion.daos;

import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoCategoriasDTO;
import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoPtAnnioDTO;
import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoPtCmgDTO;
import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoPtransDTO;
import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoPtrsPrecioDTO;
import com.mx.dla.dda.contrato.condicionesTransaccion.dtos.ContratoPtrsRdDTO;

public interface CondicionesTransaccionDAO {
	
	public int getIdContratoPtrans();
	public int getIdAnnio();
	public int getIdContratoCMG();
	
	
	
	public int agregarContratoPtrans(ContratoPtransDTO ptrans);
	public int agregarContratoPtAnnio(ContratoPtAnnioDTO ptAnio);
	public int agregarContratoPtCmg(ContratoPtCmgDTO ptCmg);
	//public int agregarContratoPtrsCat(ContratoPtrsCatDTO cat);
	public int agregarContratoPtrsRd(ContratoPtrsRdDTO release);
	public int agregarContratoPtrsPrecio(ContratoPtrsPrecioDTO precio);
	public int agregarContratoCategorias(ContratoCategoriasDTO categoria);
	
	
	
	
	
}
